Bug 2540 - X server crash- 'unresolved function' when starting xpdf
Summary: X server crash- 'unresolved function' when starting xpdf
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 6.8.2
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords: want-backtrace
Depends on:
Blocks:
 
Reported: 2005-02-14 10:40 UTC by Dave Marsh
Modified: 2007-02-22 14:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Marsh 2005-02-14 10:40:11 UTC
My machine is mostly SuSE 8.2, with a number of added new packages, including
KDE 3.3.  

I've installed the new 6.8.2 release, and I'm seeing the X server crash and die
with the singularly uninformative error:

'An unresolved function was called'

I can cause it every time when running xpdf, which leads me to suspect font
rendering problems.  I have tried compiles with both my system freetype2
libraries and the included one, but the problem remains.  Any clues?
Comment 1 Adam Jackson 2005-07-03 14:48:37 UTC
starting with the 6.8.99.14 snapshot, on linux systems, the X server can print
its own backtrace when it crashes.  please confirm that these bugs are still
valid with 6.8.99.14 or later, and if they are please attach a the server log
from the crash.
Comment 2 Adam Jackson 2005-12-25 18:25:28 UTC
reporter: ping.  please verify that this issue occurs for you with a current
version of X, or alternatively provide more information about what function the
server is failing to resolve.
Comment 3 Timo Jyrinki 2007-02-22 14:26:18 UTC
Marking broken (status null/blank) bugs in xorg with no activity in a long time as fixed. Please reopen if you think it's necessary, but first do a search if a similar bug report is already filed and in a NEW/ASSIGNED state. These bugs do not currently show in most search results as they do not have any status.

Sorry for this janitorial spam, you know where to send hate mails to when your inbox gets full of bugs you're subscribed to.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.